{"title":"Update subscriptions","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_subscriptions_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Updates a subscriptions object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"Custom APIs","slug":"custom-apis","at":171,"chars":481},{"level":2,"title":"HTTP request","slug":"http-request","at":652,"chars":200},{"level":2,"title":"Request headers","slug":"request-headers","at":852,"chars":236},{"level":2,"title":"Request body","slug":"request-body","at":1088,"chars":342},{"level":2,"title":"Response","slug":"response","at":1430,"chars":120},{"level":2,"title":"Example","slug":"example","at":1550,"chars":917},{"level":2,"title":"Related information","slug":"related-information","at":2467,"chars":211}],"text":"Updates a subscriptions object for Business Central. A subscription is valid for 3 days unless it is updated. PATCH requests will perform a handshake with the subscriber.\n## Custom APIs\nIf you're subscribing to a custom API page, both the URL you send the subscription HTTP request to and the resource path you wish to subscribe to must include the `<APIPublisher>`, `<APIGroup>`, and `<APIVersion>` elements equivalent to: `api/<APIPublisher>/<APIGroup>/<APIVersion>/subscriptions`. For example, if your API publisher is pub, your API group is grp, and the version is 1.0, part of the URL will contain these elements `api/pub/grp/v1.0/subscriptions`.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/subscriptions({'id'})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the subscription, the subscription won't be updated.\n## Request body\nHere's an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/subscriptions({'id'})\nContent-type: application/json\n\n{\n  \"notificationUrl\": \"https://{notificationUrl}\",\n  \"resource\": \"/api/v1.0/companies(f64eba74-dacd-4854-a584-1834f68cfc3a)/customers\",\n  \"clientState\": \"optionalValueOf2048\"\n}\n\n```\n## Response\nIf successful, this method returns a `200 OK` response code and a subscription object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```\nhttps://{businesscentralPrefix}/api/v1.0/subscriptions({'id'})\n\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"subscriptionId\": \"c670ea73cacb459bb51dc1740da2f1db\",\n  \"notificationUrl\": \"https://{notificationUrl}\",\n  \"resource\": \"/api/v1.0/companies(f64eba74-dacd-4854-a584-1834f68cfc3a)/customers\",\n  \"userId\": \"00000000-0000-0000-0000-000000000001\",\n  \"lastModifiedDateTime\": \"2018-10-12T12:32:35Z\",\n  \"clientState\": \"optionalvalueof2048\",\n  \"expirationDateTime\": \"2021-10-15T12:32:35Z\",\n  \"systemCreatedAt\": \"2017-01-23T00:24:31.766Z\",\n  \"systemCreatedBy\": \"f2a5738a-44e3-ea11-bb43-000d3a2feca1\",\n  \"systemModifiedAt\": \"2020-08-21T00:24:31.777Z\",\n  \"systemModifiedBy\": \"f2a5738a-44e3-ea11-bb43-000d3a2feca1\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics-subscriptions\ndynamics_subscriptions_get\ndynamics_subscriptions_delete\ndynamics_subscriptions_create"}